// Emacs style mode select	 -*- C++ -*- 
//-----------------------------------------------------------------------------
//
// $Id:$
//
// Copyright (C) 1993-1996 by id Software, Inc.
//
// This source is available for distribution and/or modification
// only under the terms of the DOOM Source Code License as
// published by id Software. All rights reserved.
//
// The source is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// FITNESS FOR A PARTICULAR PURPOSE. See the DOOM Source Code License
// for more details.
//
// DESCRIPTION:
//
//
//-----------------------------------------------------------------------------


#ifndef __P_INTER__
#define __P_INTER__

class player_s;

// [BC] Lotsa new and changed stuff here
void PickupMessage (AActor *toucher, const char *message);
BOOL P_GiveAmmo(player_s*, ammotype_t, int);
BOOL P_GiveWeapon(player_s*, weapontype_t, BOOL);
BOOL P_GiveRune(player_s*, runetype_t, bool drop=true);
mobjtype_t P_CurrentRune(player_s*);
mobjtype_t P_WeaponDop (player_s *p);
BOOL P_GiveArmor(player_s*, int);
void P_GiveCard(player_s*, card_t);
BOOL P_GivePower(player_s*, int);
BOOL P_GiveBody (player_s*, int);
void P_GiveMedal (player_s *player, medaltype_t medal);
void P_Taunt (player_s *player);
void P_Suicide (player_s *player);
void P_FindTerminator ();

void P_KillMobj (AActor *source, AActor *target, AActor *inflictor, int mod);

#endif
